### Function

# GUPnP ServiceProxyNotifyCallback

#### Declaration

    void
    (* GUPnPServiceProxyNotifyCallback) (
      GUPnPServiceProxy* proxy,
      const char* variable,
      GValue* value,
      gpointer user_data
    )

#### Description [src]

Callback notifying that the state variable `variable` on `proxy` has changed to `value`.

#### Parameters

`proxy` | `GUPnPServiceProxy`
| The `GUPnPServiceProxy` the notification originates from.
| The data is owned by the caller of the function.
`variable` | `const char*`
| The name of the variable being notified.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `GValue`
| The `GValue` of the variable being notified.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.